{* Drop was not choosen yet *} 
{if empty($dropInstance->getDrop())}
<div class="alert alert-info _m-0 text-center">Bitte wähle ein Drop aus.</div>
{* Real preview *}
{else}
<!-- preview container (replaced by actual preview content when ajax is done) -->
<div class="portlet-drop-preview" data-uid="{$instance->getUid()}">
	<div class="_p-2 text-center">Lade Drop...</div>
</div>
<script type="text/javascript" data-ignore="true">
$(function() {
	DropperFramework.ajax({
		url: '{$portlet->getDraftPageURL()}',
		method: 'POST',
		dataType: 'JSON',
		data: {
			'kk_dropper_get_portlet_preview': JSON.stringify({$dropInstance->getPreviewParameters()})
		},
		success: function(res) {
			// we want to replace all previewed instances that render the same drop, 
			// because when the data of one is changed, the others will need to be changed as well
			var $instances = $('.drop-portlet[data-portlet-drop="{$dropInstance->getDropGuid()}"]');
			var $previews = $instances.find('> .portlet-drop-preview');
			// remove registered handlers and empty it
			$previews.find('*').off();
			$previews.empty();
			// add it to the dom
			$previews.html(res);
			// remove unused mountpoints after a drop editable
			$previews.find('.kk-opc-area-content-empty + .kk-dropper-opc-area').each(function() {
				let content = $(this).html();
				if (!content || !content.length) $(this).remove();
			});
			$previews.find('.kk-opc-area-content-empty').remove();
			// make sure that links are not followed
			$instances.find('a[href]').on('click', function(e) { e.preventDefault(); });
			// make sure drops are initialized
			DropperFramework.initDrops($previews);
			// tell the frame logic to update now that we are done
			if (window.opc && window.opc.iframe) {
				window.opc.iframe.updateDropTargets();
				window.opc.iframe.pagetree.render();
			}
		},
		error: function(xhr, status, ex) {
			var $instance = $('#{$instance->getUid()}');
			var $preview = $instance.find('> .portlet-drop-preview');
			// add it to the dom
			$preview.html('<div class="alert alert-danger _m-0">' + ex.message + '<\/div>');
			// tell the frame logic to update now that we are done
			if (window.opc && window.opc.iframe) {
				window.opc.iframe.updateDropTargets();
				window.opc.iframe.pagetree.render();
			}
		}
	});	
});
</script>
{/if}